<div class="row">
  <div class="col-lg-10 col-xl-8 offset-lg-1 offset-xl-2">
    <h1>Inscription</h1>
    <form [formGroup]="formulaire" (ngSubmit)="inscription()" #form='ngForm'>
      <div class="form-floating mb-3">
        <input id="prenom" type="text" class="form-control" formControlName="prenom"
               placeholder="Prénom"
               [class.is-invalid]="prenom?.invalid && form.submitted">
        <label for="prenom" class="form-label">Prénom</label>
        <div class="invalid-feedback">
          <div *ngIf="prenom?.errors?.['required']">
            Le prénom est requis.
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <input id="nom" type="text" class="form-control" formControlName="nom"
               placeholder="Nom"
               [class.is-invalid]="nom?.invalid && form.submitted">
        <label for="nom" class="form-label">Nom</label>
        <div class="invalid-feedback">
          <div *ngIf="nom?.errors?.['required']">
            Le nom est requis.
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <input id="courriel" type="email" class="form-control" formControlName="courriel"
               placeholder="Courriel"
               [class.is-invalid]="courriel?.invalid && form.submitted">
        <label for="nom" class="form-label">Courriel</label>
        <div class="invalid-feedback">
          <div *ngIf="courriel?.errors?.['required']">
            Le nom est requis.
          </div>
          <div *ngIf="courriel?.errors?.['email']">
            Veuillez entrer une adresse courriel valide
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <input id="motDePasse" type="password" class="form-control" formControlName="motDePasse"
               placeholder="Mot de passe"
               [class.is-invalid]="motDePasse?.invalid && form.submitted">
        <label for="nom" class="form-label">Mot de passe</label>
        <div class="invalid-feedback">
          <div *ngIf="motDePasse?.errors?.['required']">
            Le mot de passe est requis.
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <input id="confirmationMotDePasse" type="password" class="form-control" formControlName="confirmationMotDePasse"
               placeholder="Confirmation du mot de passe"
               [class.is-invalid]="(confirmationMotDePasse?.invalid || formulaire.errors?.['confirmationMotDePasse']) && form.submitted">
        <label for="confirmationMotDePasse" class="form-label">Confirmation du mot de passe</label>
        <div class="invalid-feedback">
          <div *ngIf="confirmationMotDePasse?.errors?.['required']">
            La confirmation du mot de passe est requise.
          </div>
          <div *ngIf="formulaire?.errors?.['confirmationMotDePasse']">
            Les mots de passe ne concordent pas
          </div>
        </div>
      </div>

      <button type="submit" class="btn btn-primary">S'inscrire</button>
      <button type="button" class="btn btn-secondary ms-2" routerLink="/">Annuler</button>
    </form>
  </div>
</div>
